import {HttpClientTestingModule} from "@angular/common/http/testing";
import {async, ComponentFixture, TestBed} from "@angular/core/testing";
import {MatSnackBar} from "@angular/material";
import {ENVIRONMENT, SNACK_BAR} from "solidify-frontend";
import {environment} from "../../../../environments/environment";

import {HomePresentational} from "./home.presentational";

describe("HomePresentational", () => {
  let component: HomePresentational;
  let fixture: ComponentFixture<HomePresentational>;

  beforeEach(async(() => {
    TestBed.configureTestingModule({
      imports: [HttpClientTestingModule],
      declarations: [HomePresentational],
      providers: [
        {
          provide: ENVIRONMENT,
          useValue: environment,
        },
        {
          provide: SNACK_BAR,
          useClass: MatSnackBar,
        },
      ],
    })
      .compileComponents();
  }));

  beforeEach(() => {
    fixture = TestBed.createComponent(HomePresentational);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it("should create", () => {
    expect(component).toBeTruthy();
  });
});
