import {HttpClientTestingModule} from "@angular/common/http/testing";
import {async, ComponentFixture, TestBed} from "@angular/core/testing";
import {MatSnackBar} from "@angular/material";
import {ENVIRONMENT, SNACK_BAR} from "solidify-frontend";
import {environment} from "../../../../environments/environment";
import {MockTranslatePipe} from "../../../../testhelpers/mock-translate.pipe";

import {LoginPresentational} from "./login.presentational";

describe("LoginPresentational", () => {
  let component: LoginPresentational;
  let fixture: ComponentFixture<LoginPresentational>;

  beforeEach(async(() => {
    TestBed.configureTestingModule({
      imports: [HttpClientTestingModule],
      declarations: [LoginPresentational, MockTranslatePipe],
      providers: [
        {
          provide: ENVIRONMENT,
          useValue: environment,
        },
        {
          provide: SNACK_BAR,
          useClass: MatSnackBar,
        },
      ]
    })
      .compileComponents();
  }));


  beforeEach(() => {
    fixture = TestBed.createComponent(LoginPresentational);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it("should create", () => {
    expect(component).toBeTruthy();
  });
});
