import {FileUploadStatusEnum} from "@app/features/deposit/enums/file-upload-status.enum";
import {DepositDataFile} from "@app/features/deposit/models/deposit-data-file.model";

export interface UploadFileStatus {
  file: File;
  status: FileUploadStatusEnum;
  progressPercentage?: number;
  message?: string;
  result?: DepositDataFile;
}
