import {NO_ERRORS_SCHEMA} from "@angular/core";
import {async, ComponentFixture, TestBed} from "@angular/core/testing";
import {MaterialModule} from "@app/material.module";
import {MockTranslatePipe} from "../../../../../testhelpers/mock-translate.pipe";

import {SharedSearchScopePresentational} from "./shared-search-scope.presentational";

describe("SharedSearchScopePresentational", () => {
  let component: SharedSearchScopePresentational;
  let fixture: ComponentFixture<SharedSearchScopePresentational>;

  beforeEach(async(() => {
    TestBed.configureTestingModule({
      imports: [ MaterialModule ],
      declarations: [ SharedSearchScopePresentational, MockTranslatePipe ],
      schemas: [ NO_ERRORS_SCHEMA ]
    })
    .compileComponents();
  }));

  beforeEach(() => {
    fixture = TestBed.createComponent(SharedSearchScopePresentational);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it("should create", () => {
    expect(component).toBeTruthy();
  });
});
