import {FieldTypeEnum} from "@app/shared/enums/field-type.enum";

export interface DataTableColumns<T = any> {
  field: keyof T & string;
  header: string;
  type?: FieldTypeEnum;
  order: number;
  isSortable?: boolean;
  isFilterable?: boolean;
}
