import {NgModule} from "@angular/core";
import {RouterModule, Routes} from "@angular/router";
import {HomeSearchRoutable} from "@app/features/home/components/routables/home-search/home-search.routable";
import {TRANSLATE} from "solidify-frontend";

const routes: Routes = [
  {
    path: "",
    component: HomeSearchRoutable,
    data: {
      breadcrumb: TRANSLATE("breadcrumb.access.search"),
    }
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class HomeRoutingModule {
}
