import {NO_ERRORS_SCHEMA} from "@angular/core";
import {async, ComponentFixture, TestBed} from "@angular/core/testing";
import {TranslateService} from "@ngx-translate/core";
import {MockTranslatePipe} from "../../../../../testhelpers/mock-translate.pipe";
import {MockTranslateService} from "../../../../../testhelpers/mock-translate.service";


import {SharedDataTablePresentational} from "./shared-data-table.presentational";

describe("SharedDataTablePresentational", () => {
  let component: any;
  let fixture: ComponentFixture<any>;

  beforeEach(async(() => {
    TestBed.configureTestingModule({
      declarations: [SharedDataTablePresentational, MockTranslatePipe],
      providers: [
        {
          provide: TranslateService,
          useClass: MockTranslateService
        }
      ],
      schemas: [NO_ERRORS_SCHEMA]
    })
      .compileComponents();
  }));

  beforeEach(() => {
    fixture = TestBed.createComponent(SharedDataTablePresentational);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it("should create", () => {
    expect(component).toBeTruthy();
  });
});
